Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFrustumCoverageCuller Class Reference

`#include <vtkFrustumCoverageCuller.h>`

Inheritance diagram for vtkFrustumCoverageCuller:

[legend]
Collaboration diagram for vtkFrustumCoverageCuller:

[legend]
List of all members.

## Detailed Description

cull props based on frustum coverage

Date:
  2002/01/22 15:38:32

Revision:
  1.24

vtkFrustumCoverageCuller will cull props based on the coverage in the view frustum. The coverage is computed by enclosing the prop in a bounding sphere, projecting that to the viewing coordinate system, then taking a slice through the view frustum at the center of the sphere. This results in a circle on the plane slice through the view frustum. This circle is enclosed in a squared, and the fraction of the plane slice that this square covers is the coverage. This is a number between 0 and 1. If the number is less than the MinumumCoverage, the allocated render time for that prop is set to zero. If it is greater than the MaximumCoverage, the allocated render time is set to 1.0. In between, a linear ramp is used to convert coverage into allocated render time.

See also:
  vtkCuller

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (64%)
  - Biddiscombe, John (17%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkFrustumCoverageCuller.cxx)`
  - .`h` (`/Rendering/vtkFrustumCoverageCuller.h)`

Definition at line 62 of file vtkFrustumCoverageCuller.h.

## Public Types
typedef vtkCuller | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMinimumCoverage (float)
virtual float | GetMinimumCoverage ()
virtual void | SetMaximumCoverage (float)
virtual float | GetMaximumCoverage ()
virtual void | SetSortingStyle (int)
virtual int | GetSortingStyle ()
void | SetSortingStyleToNone ()
void | SetSortingStyleToBackToFront ()
void | SetSortingStyleToFrontToBack ()
const char * | GetSortingStyleAsString (void)
float | Cull (vtkRenderer *ren, vtkProp **propList, int &listLength, int &initialized)
## Static Public Methods
vtkFrustumCoverageCuller * | New ()
int | IsTypeOf (const char *type)
vtkFrustumCoverageCuller * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkFrustumCoverageCuller ()
| ~vtkFrustumCoverageCuller ()
## Protected Attributes
float | MinimumCoverage
float | MaximumCoverage
int | SortingStyle

## Member Typedef Documentation

typedef vtkCuller vtkFrustumCoverageCuller::Superclass

| Reimplemented from vtkCuller. Definition at line 66 of file vtkFrustumCoverageCuller.h.

## Constructor & Destructor Documentation

vtkFrustumCoverageCuller::vtkFrustumCoverageCuller | ( |  | ) | `[protected]`

vtkFrustumCoverageCuller::~vtkFrustumCoverageCuller | ( |  | ) | `[inline, protected]`

| Definition at line 111 of file vtkFrustumCoverageCuller.h.

## Member Function Documentation

vtkFrustumCoverageCuller* vtkFrustumCoverageCuller::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkFrustumCoverageCuller::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCuller.

int vtkFrustumCoverageCuller::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCuller.

virtual int vtkFrustumCoverageCuller::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCuller.

vtkFrustumCoverageCuller* vtkFrustumCoverageCuller::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCuller.

void vtkFrustumCoverageCuller::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCuller.

virtual void vtkFrustumCoverageCuller::SetMinimumCoverage | ( | float |  | ) | `[virtual]`

| Set/Get the minimum coverage - props with less coverage than this are given no time to render (they are culled)

virtual float vtkFrustumCoverageCuller::GetMinimumCoverage | ( |  | ) | `[virtual]`

| Set/Get the minimum coverage - props with less coverage than this are given no time to render (they are culled)

virtual void vtkFrustumCoverageCuller::SetMaximumCoverage | ( | float |  | ) | `[virtual]`

| Set/Get the maximum coverage - props with more coverage than this are given an allocated render time of 1.0 (the maximum)

virtual float vtkFrustumCoverageCuller::GetMaximumCoverage | ( |  | ) | `[virtual]`

| Set/Get the maximum coverage - props with more coverage than this are given an allocated render time of 1.0 (the maximum)

virtual void vtkFrustumCoverageCuller::SetSortingStyle | ( | int |  | ) | `[virtual]`

| Set the sorting style - none, front-to-back or back-to-front The default is none

virtual int vtkFrustumCoverageCuller::GetSortingStyle | ( |  | ) | `[virtual]`

| Set the sorting style - none, front-to-back or back-to-front The default is none

void vtkFrustumCoverageCuller::SetSortingStyleToNone | ( |  | ) | `[inline]`

| Set the sorting style - none, front-to-back or back-to-front The default is none Definition at line 89 of file vtkFrustumCoverageCuller.h. References VTK_CULLER_SORT_NONE.

void vtkFrustumCoverageCuller::SetSortingStyleToBackToFront | ( |  | ) | `[inline]`

| Set the sorting style - none, front-to-back or back-to-front The default is none Definition at line 91 of file vtkFrustumCoverageCuller.h. References VTK_CULLER_SORT_BACK_TO_FRONT.

void vtkFrustumCoverageCuller::SetSortingStyleToFrontToBack | ( |  | ) | `[inline]`

| Set the sorting style - none, front-to-back or back-to-front The default is none Definition at line 93 of file vtkFrustumCoverageCuller.h. References VTK_CULLER_SORT_FRONT_TO_BACK.

const char* vtkFrustumCoverageCuller::GetSortingStyleAsString | ( | void |  | ) |

| Set the sorting style - none, front-to-back or back-to-front The default is none

float vtkFrustumCoverageCuller::Cull | ( | vtkRenderer * | ren,
|  | vtkProp ** | propList,
|  | int & | listLength,
|  | int & | initialized
| ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Perform the cull operation This method should only be called by vtkRenderer as part of the render process Implements vtkCuller.

## Member Data Documentation

float vtkFrustumCoverageCuller::MinimumCoverage`[protected]`

| Definition at line 113 of file vtkFrustumCoverageCuller.h.

float vtkFrustumCoverageCuller::MaximumCoverage`[protected]`

| Definition at line 114 of file vtkFrustumCoverageCuller.h.

int vtkFrustumCoverageCuller::SortingStyle`[protected]`

| Definition at line 115 of file vtkFrustumCoverageCuller.h.

The documentation for this class was generated from the following file:

- Rendering/vtkFrustumCoverageCuller.h